#version 3.5;
#include "param.inc"
#include "math.inc"

global_settings {assumed_gamma 1.0}

camera {location <0,0,-3> look_at <0,0,0>} 
light_source {<500,500,-500> rgb <1,0.9,0.8>}
light_source {<-100,100,-500> rgb <0.3,0.3,0.5>}

//supertoroid
#declare R0=1;     //major radius
#declare R1=0.25;  //minor radius

#declare N1=0.1;     //shape
#declare N2=0.4;

#declare F1=function(u,v){sgn(cos(u))*pow(abs(cos(u)),N1)*(R0+R1*sgn(cos(v))*pow(abs(cos(v)),N2))}
#declare F2=function(u,v){sgn(sin(u))*pow(abs(sin(u)),N1)*(R0+R1*sgn(cos(v))*pow(abs(cos(v)),N2))}
#declare F3=function(u,v){R1*sgn(sin(v))*pow(abs(sin(v)),N2)}

object { 
  Parametric (
    F1, F2, F3,
    <0,0>, <2*pi,2*pi>,
    10, 10,""
  )
  pigment {uv_mapping checker rgb 1 rgb <0,0,1> scale <0.1,0.05,1>}
  finish{specular 0.3}
  rotate <45,0,0>
  rotate <0,15,0>
}


